This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 189553 - Review Request: bugs - The Bug Genie
Review Request: bugs - The Bug Genie
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-20 21:06 EDT by Michael J Knox
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-22 15:04:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from rpmlint (49.48 KB, text/plain)
2006-04-25 22:36 EDT, Jima
no flags Details

  None (edit)
Description Michael J Knox 2006-04-20 21:06:16 EDT
Spec URL: http://www.knox.net.nz/fedora_extras/BUGS/bugs.spec
SRPM URL: http://www.knox.net.nz/fedora_extras/BUGS/bugs-1.7.2-1.src.rpm

Description:

"BUGS - the Bug Genie" is an open source enterprise level issue tracking system, built on open source technology. "BUGS" enhances your development process, by offering an advanced tool to manage bug reports, feature requests and user feedback for your products.

"BUGS" requires a webserver (we recommend Apache) with PHP installed (PHP 5 not supported), and MySQL.

I have this working on Fedora Core 5 and RawHide.
Comment 1 Jima 2006-04-25 22:33:13 EDT
Woo hoo, first review. Let's see...

Good (I think?):
MUST: The package must be named according to the Package Naming Guidelines.
MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec
MUST: The package must meet the Packaging Guidelines.
MUST: The package must be licensed with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
MUST: The License field in the package spec file must match the actual license.
MUST: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
MUST: The spec file must be written in American English.
MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest ([WWW]
http://www.ioccc.org/).
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task.
MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.
MUST: A package must not contain any duplicate files in the %files listing.
MUST: Permissions on files must be set properly. Executables should be set with
executable permissions, for example. Every %files section must include a
%defattr(...) line.
MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.

Bad:
MUST: rpmlint must be run on every package. The output should be posted in the
review.

Details:
+ Works with PHP5, contrary to your review request description.
- User/group ownership is backward; is root:apache, should be apache:root (as
per our discussion).  Easy fix.  Not sure if the rpmlint errors are acceptable;
I'd like to hear from someone with more experience.
Comment 2 Jima 2006-04-25 22:36:46 EDT
Created attachment 128233 [details]
Output from rpmlint

Ah, guess I can attach and comment at tyhe same time.  Oops.  The fix I
recommended only changes s/gid/uid/.
Comment 3 Michael J Knox 2006-06-22 15:04:32 EDT
Going to put this review on hold. I have approached the developer about a number
of problems, so I will await for a new release that fixes them. 

Note You need to log in before you can comment on or make changes to this bug.